%global snapdate 20111004
%global githash 59c6097

Name:		tcplay
Version:	0.9
Release:	0.2.%{snapdate}git%{githash}%{?dist}
Summary:	Utility to create/open/map TrueCrypt-compatible volumes
Group:		Applications/System
License:	BSD
URL:		https://github.com/bwalex/tc-play
BuildRequires:	device-mapper-devel libgcrypt-devel libuuid-devel
BuildRequires:	openssl-devel

Source0:	%{name}-%{githash}.tar.xz

# To generate tarball for Source0:
#   git clone git://github.com/bwalex/tc-play
#   ( cd tc-play && \
#     git archive --format=tar --prefix=%{name}-%{githash}/ %{githash} \
#   ) | xz - > %{name}-%{githash}.tar.xz


%description
The tcplay utility provides full support for creating and opening/mapping
TrueCrypt-compatible volumes.

%prep
%setup -q -n %{name}-%{githash}

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 -s tcplay %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -p -m 644 tcplay.8 %{buildroot}%{_mandir}/man8

%if 0%{?rhel}
# clean section needed for RHEL6
%clean
rm -rf %{buildroot}
%endif

%files
%defattr(-,root,root,-)
%doc README
# %doc LICENSE
# There is currently no LICENSE file, but it has been requested upstream:
#   https://github.com/bwalex/tc-play/issues/4
%{_bindir}/tcplay
%{_mandir}/man8/tcplay.8*

%changelog
* Thu Oct 06 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.2.20111004git59c6097
- updated based on package review comments, bug 743497

* Tue Oct 04 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.1.20111004git59c6097
- initial version
